        subroutine compute_born_vbf(pin, m2i0, m2if0)
          use recola
          implicit none
#include "mcinput.h"
#include "mcparams.h"
#include "mccommon.h"
          real(kind (23d0)), intent(in) :: pin(5,0:3)
          real(kind (23d0)), intent(inout) :: m2i0(-5:5,-5:5)
          real(kind (23d0)), intent(inout) :: m2if0(-5:5,-5:5,-5:5,-5:5)
          real(kind (23d0)) :: p(0:3,5),k(0:3,5),q(0:3,5),r(0:3,5)
          real(kind (23d0)) :: matrix2(2)

          p(:,1) = pin(1,:)
          p(:,2) = pin(2,:)
          p(:,3) = pin(3,:)
          p(:,4) = pin(4,:)
          p(:,5) = pin(5,:)

C          1 <-> 2
          k(:,1) = p(:,2)
          k(:,2) = p(:,1)
          k(:,3:) = p(:,3:)

C          3 <-> 4
          q(:,1) = p(:,1)
          q(:,2) = p(:,2)
          q(:,3) = p(:,4)
          q(:,4) = p(:,3)
          q(:,5) = p(:,5)

C          1 <-> 2 && 3 <-> 4
          r(:,1:2) = k(:,1:2)
          r(:,3:4) = q(:,3:4)
          r(:,5) = p(:,5)

#include "vbf/computepr.f90"
         
        end subroutine compute_born_vbf
