      subroutine init_recola_param
        use recola
        implicit none

#include "mcinput.h"

        call use_gfermi_scheme_rcl(GFin)
        call set_alphas_rcl(alphasin,mumsin,5)
        call set_pole_mass_z_rcl(mzin,gzin)
        call set_pole_mass_w_rcl(mwin,gwin)
        call set_pole_mass_h_rcl(mhin,0d0)
        call set_pole_mass_electron_rcl(mein)
        call set_pole_mass_muon_rcl(mmuin,0d0)
        call set_pole_mass_tau_rcl(mtauin,0d0)
        call set_pole_mass_up_rcl(muin)
        ! charm mass == up mass
        call set_pole_mass_charm_rcl(muin,0d0)
        call set_pole_mass_top_rcl(mtin,0d0)
        call set_pole_mass_down_rcl(mdin)
        ! strange mass == down mass
        call set_pole_mass_strange_rcl(mdin)
        call set_pole_mass_bottom_rcl(mbin,0d0)
        call set_light_fermions_rcl(3d0)

        call set_mu_uv_rcl(mwin)
        call set_mu_ir_rcl(lambdain)
        call use_mass_reg_soft_rcl(lambdain)
        call set_delta_uv_rcl(0d0)
        call set_delta_ir_rcl(0d0, 0d0)

      end subroutine init_recola_param
